# Uses of Class
org.globus.ftp.vanilla.Reply

Packages that use Reply
Package
Description
org.globus.ftp
org.globus.ftp.dc
org.globus.ftp.exception
org.globus.ftp.vanilla

## Uses of Reply in org.globus.ftp

Methods in org.globus.ftp that return Reply
Modifier and Type
Method
Description
`Reply`
FTPClient.`getLastReply()`
Returns the last reply received from the server.
`Reply`
FTPClient.`quote(String command)`
Executes arbitrary operation on the server.
`Reply`
FTPClient.`site(String args)`
Executes site-specific operation (using the SITE command).

## Uses of Reply in org.globus.ftp.dc

Subclasses of Reply in org.globus.ftp.dc
Modifier and Type
Class
Description
`class`
`LocalReply`
Local server communicate with client with a simplified control channel.

## Uses of Reply in org.globus.ftp.exception

Methods in org.globus.ftp.exception that return Reply
Modifier and Type
Method
Description
`Reply`
UnexpectedReplyCodeException.`getReply()`
Constructors in org.globus.ftp.exception with parameters of type Reply
Modifier
Constructor
Description
``
`UnexpectedReplyCodeException(int code, String msg, Reply r)`
``
`UnexpectedReplyCodeException(Reply r)`

## Uses of Reply in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla that return Reply
Modifier and Type
Method
Description
`Reply`
FTPControlChannel.`exchange(Command cmd)`
Write the command to the control channel, block until reply arrives and return the reply.
`Reply`
FTPControlChannel.`execute(Command cmd)`
Write the command to the control channel, block until reply arrives and check if the command completed successfully (reply code 200).
`Reply`
FTPControlChannel.`getLastReply()`
Returns the last reply received from the server.
`protected Reply`
FTPServerFacade.LocalControlChannel.`pop()`
`abstract Reply`
BasicClientControlChannel.`read()`
`Reply`
FTPControlChannel.`read()`
Block until a reply is available in the control channel.
`Reply`
FTPServerFacade.LocalControlChannel.`read()`
Methods in org.globus.ftp.vanilla with parameters of type Reply
Modifier and Type
Method
Description
`static boolean`
Reply.`isPermanentNegativeCompletion(Reply reply)`
`static boolean`
Reply.`isPositiveCompletion(Reply reply)`
`static boolean`
Reply.`isPositiveIntermediate(Reply reply)`
`static boolean`
Reply.`isPositivePreliminary(Reply reply)`
`static boolean`
Reply.`isTransientNegativeCompletion(Reply reply)`
`protected void`
FTPServerFacade.LocalControlChannel.`push(Reply newReply)`
`void`
BasicServerControlChannel.`write(Reply reply)`
write reply to the control channel
`void`
FTPServerFacade.LocalControlChannel.`write(Reply reply)`